1. Core Resources
VLTZ PAY
  • API Reference
    • Getting Started
      • Create a hosted checkout session
      • Get payment status
    • Core Resources
      • Create a direct payment
        POST
      • List application transactions
        GET
      • Get transaction dashboard summary
        GET
      • Get an application transaction
        GET
      • List application payment activity
        GET
    • Schemas
      • CheckoutRequest
      • CreatePaymentRequest
      • PaymentRequestBase
      • CardDetails
      • PaymentMethodCode
      • BillingDetails
      • CheckoutBilling
      • LineItem
      • PaymentMetadata
      • CheckoutResponse
      • CreatePaymentResponseEnvelope
      • CreatePaymentResponse
      • ProviderCheckout
      • ProviderResult
      • PaymentRecord
      • PaymentStatus
      • ResolvedPaymentMethod
      • PaymentStatusResponseEnvelope
      • Transaction
      • TransactionResponseEnvelope
      • TransactionListResponseEnvelope
      • TransactionSummaryResponseEnvelope
      • CurrencySummary
      • DailySummary
      • ActivityLogListResponseEnvelope
      • ActivityLog
      • PaymentStatusCallback
      • ErrorEnvelope
  1. Core Resources

Get an application transaction

GET
https://api-vltzpay.beespokedev.com/api/v1.0/payments/transactions/{reference}
Returns a transaction only when it belongs to the active application in the appKey header.

Request

Path Params

Header Params

Responses

🟢200
application/json
Application-scoped transaction.
Bodyapplication/json

🟠404
🟠400ValidationError
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api-vltzpay.beespokedev.com/api/v1.0/payments/transactions/' \
--header 'appKey;'
Response Response Example
200 - Example 1
{
    "success": true,
    "response": {
        "amount": "string",
        "currency": "string",
        "status": "PENDING",
        "transactionType": "PAYMENT",
        "paymentMethod": "CARD",
        "reference": "string",
        "metadata": {
            "property1": "string",
            "property2": "string"
        }
    }
}
Modified at 2026-07-30 05:26:57
Previous
Get transaction dashboard summary
Next
List application payment activity
Built with